Skip to main content
PUT
/
api
/
v1
/
Settings
/
{id}
cURL
curl --request PUT \
  --url https://vpos.payven.com.tr/api/v1/Settings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "extraPropertiesDict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": "Global",
  "scopeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "category": "<string>",
  "defaultValue": "<string>",
  "validationRegex": "<string>",
  "possibleValues": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

Body

key
string | null
required
value
string | null
required
extraPropertiesDict
object
id
string<uuid>
scope
enum<integer>
Available options:
Global,
Tenant,
User
scopeId
string<uuid> | null
description
string | null
category
string | null
defaultValue
string | null
validationRegex
string | null
possibleValues
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
boolean